<div class="agency-site-request-queue">
    <app-content-banner [isDashboard]="false" pageName="New Agency/Site Request Queue"></app-content-banner>
    <mat-card class="rr-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <!-- <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
          <div *ngIf="is_SH_PE" class="pe-left-text">
            <mat-label style="font-weight: 600;">Referring Agency: &nbsp;</mat-label>
            <mat-form-field appearance="outline">
              <mat-select [(ngModel)]="selectedAgencyID">
                <mat-option (click)="onAgencySelected()" [value]="0">Select One</mat-option>
                <mat-option (click)="onAgencySelected()" *ngFor="let agency of agencyList" [value]="agency.agencyID">
                  {{agency.agencyNo + ' - ' + agency.agencyName}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div *ngIf="is_SH_HP" class="hp-left-text">
            <mat-label style="font-weight: 600;">Agency: &nbsp; </mat-label>
            {{is_SH_HP ? currentUser.agencyNo + ' - ' + currentUser.agencyName : ''}}
          </div>
          <div class="right-text">
            <mat-label *ngIf="is_SH_PE" style="font-weight: 600;">Referring Site: &nbsp;</mat-label>
            <mat-label *ngIf="is_SH_HP" style="font-weight: 600;">Site: &nbsp;</mat-label>
            <mat-form-field appearance="outline">
              <mat-select [(ngModel)]="selectedSiteID">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                  {{site.siteNo + ' - ' + site.siteName}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div>
            <button (click)="onGo()" mat-raised-button color="primary">GO</button>
          </div>
        </div> -->
        <!-- <div fxLayout="row" class="second-header-filter">
          <div class="stats"><span><b>Pending: </b>{{pending}}</span></div>
          <div class="stats" style="color: red"><span><b>Overdue: </b>{{overdue}}</span></div>
          <div class="stats"><span><b>Accepted/Pending Approval: </b>{{acceptedPendingApproval}}</span></div>
          <div class="stats"><span><b>Move-In: </b>{{moveIn}}</span></div>
          <div class="stats"><span><b>Not Accepted: </b>{{notAccepted}}</span></div>
          <div class="stats" *ngIf="is_SH_PE" style="color: red"><span><b>External: </b>{{external}}</span></div>
        </div> -->
        <div></div>
        <div></div>
      </mat-card-header>
      <mat-card-content>
        <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
          <mat-tab>
            <ng-template matTabLabel>
              <span>Pending Requests</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                    <div class="table-filters-header" fxLayout="column">
                      <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid('pendingRequests')" color="primary" matTooltip="Reset the filters">refresh
                          </mat-icon>
                          <mat-icon (click)="onBtExport('pendingRequests')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                      </div>
                    </div>
                    <div class="example-container mat-elevation-z4">
                      <ag-grid-angular #pendingRequestsAgGrid id="pendingRequestsMyGrid" style="width: 100%" class="ag-theme-balham my-grid"
                        [columnDefs]="pendingRequestsColumnDefs" [defaultColDef]="defaultColDef" [rowData]="pendingRequestsRowData"
                        [context]="context" [floatingFilter]="true" [animateRows]="true" [gridOptions]="pendingRequestsGridOptions"
                        [pagination]="true" [paginationPageSize]="30" [frameworkComponents]="frameworkComponents"
                        (gridReady)="onPendingRequestsGridReady($event)">
                      </ag-grid-angular>
                    </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
          <mat-tab >
            <ng-template matTabLabel>
              <span>Pending Approval</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                    <div class="table-filters-header" fxLayout="column">
                      <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid('pendingApproval')" color="primary" matTooltip="Reset the filters">refresh
                          </mat-icon>
                          <mat-icon (click)="onBtExport('pendingApproval')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                      </div>
                    </div>
                    <div class="example-container mat-elevation-z4">
                      <ag-grid-angular #pendingApprovalAgGrid id="pendingApprovalMyGrid" style="width: 100%"
                        class="ag-theme-balham my-grid" [columnDefs]="pendingApprovalColumnDefs"
                        [defaultColDef]="defaultColDef" [rowData]="pendingApprovalRowData" [context]="context"
                        [floatingFilter]="true" [animateRows]="true" [gridOptions]="pendingApprovalGridOptions" [pagination]="true"
                        [paginationPageSize]="30" [frameworkComponents]="frameworkComponents"
                        (gridReady)="onPendingApprovalGridReady($event)">
                      </ag-grid-angular>
                    </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
  
          <mat-tab >
            <ng-template matTabLabel>
              <span>Reviewed</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                    <div class="table-filters-header" fxLayout="column">
                      <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid('reviewed')" color="primary" matTooltip="Reset the filters">refresh
                          </mat-icon>
                          <mat-icon (click)="onBtExport('reviewed')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                      </div>
                    </div>
                    <div class="example-container mat-elevation-z4">
                      <ag-grid-angular #reviewedAgGrid id="reviewedMyGrid" style="width: 100%"
                        class="ag-theme-balham my-grid" [columnDefs]="reviewedColumnDefs" [defaultColDef]="defaultColDef"
                        [rowData]="reviewedRowData" [context]="context" [floatingFilter]="true" [animateRows]="true"
                        [gridOptions]="reviewedGridOptions" [pagination]="true" [paginationPageSize]="30"
                        [frameworkComponents]="frameworkComponents" (gridReady)="onReviewedGridReady($event)">
                      </ag-grid-angular>
                    </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
          <mat-tab>
            <ng-template matTabLabel>
              <span>Requests Sent</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <div class="example-small-box mat-elevation-z4" fxLayout="column">
                    <div class="table-filters-header" fxLayout="column">
                      <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid('requestSent')" color="primary" matTooltip="Reset the filters">refresh
                          </mat-icon>
                          <mat-icon (click)="onBtExport('requestSent')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                      </div>
                    </div>
                    <div class="example-container mat-elevation-z4">
                      <ag-grid-angular #requestSentAgGrid id="requestSentMyGrid" style="width: 100%"
                        class="ag-theme-balham my-grid" [columnDefs]="requestSentColumnDefs" [defaultColDef]="defaultColDef"
                        [rowData]="requestSentRowData" [context]="context" [floatingFilter]="true" [animateRows]="true"
                        [gridOptions]="requestSentGridOptions" [pagination]="true" [paginationPageSize]="30"
                        [frameworkComponents]="frameworkComponents" (gridReady)="onRequestSentGridReady($event)">
                      </ag-grid-angular>
                    </div>
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
        </mat-tab-group>
      </mat-card-content>
    </mat-card>
  </div>